console.log("---run js_hbbtv_keycode.js---");
    var VK_UNDEFINED             	  = 0;
  	var VK_CANCEL                  	= 3;
  	var VK_BACK_SPACE              	= 8;
  	var VK_TAB                     	= 9;
  	var VK_CLEAR                    = 12;
  	var VK_ENTER                    = 13;
  	var VK_SHIFT                   	= 16;
  	var VK_CONTROL                  = 17;
  	var VK_ALT                     	= 18;
  	var VK_PAUSE                   	= 19;
  	var VK_CAPS_LOCK               	= 20;
  	var VK_KANA                    	= 21;
  	var VK_FINAL                   	= 24;
  	var VK_KANJI                   	= 25;
  	var VK_ESCAPE                   = 27;
    var VK_EXIT                     = 27;
  	var VK_CONVERT                  = 28;
  	var VK_NONCONVERT              	= 29;
  	var VK_ACCEPT                  	= 30;
  	var VK_MODECHANGE              	= 31;
  	var VK_SPACE                   	= 32;
  	var VK_PAGE_UP                 	= 33;
  	var VK_PAGE_DOWN               	= 34;
  	var VK_END                      = 35;
  	var VK_HOME                    	= 36;
  	var VK_LEFT                 	  = 37;
  	var VK_UP                      	= 38;
  	var VK_RIGHT                   	= 39;
  	var VK_DOWN                    	= 40;
  	var VK_COMMA                   	= 44;
  	var VK_PERIOD                  	= 46;
  	var VK_SLASH                   	= 47;
  	var VK_0						= 48;
  	var VK_1						= 49;
  	var VK_2						= 50;
  	var VK_3						= 51;
  	var VK_4						= 52;
  	var VK_5						= 53;
  	var VK_6						= 54;
  	var VK_7						= 55;
  	var VK_8						= 56;
  	var VK_9						= 57;
  	var VK_SEMICOLON               	= 59;
  	var VK_EQUALS                  	= 61;
  	var VK_A                       	= 65;
  	var VK_B                       	= 66;
  	var VK_C                       	= 67;
  	var VK_D                       	= 68;
  	var VK_E                       	= 69;
  	var VK_F                       	= 70;
  	var VK_G                       	= 71;
  	var VK_H                       	= 72;
  	var VK_I                       	= 73;
  	var VK_J                       	= 74;
  	var VK_K                       	= 75;
  	var VK_L                       	= 76;
  	var VK_M                       	= 77;
  	var VK_N                       	= 78;
  	var VK_O                       	= 79;
  	var VK_P                       	= 80;
  	var VK_Q                       	= 81;
  	var VK_R                       	= 82;
  	var VK_S                       	= 83;
  	var VK_T                       	= 84;
  	var VK_U                       	= 85;
  	var VK_V                       	= 86;
  	var VK_W                       	= 87;
  	var VK_X                       	= 88;
  	var VK_Y                       	= 89;
  	var VK_Z                       	= 90;
  	var VK_OPEN_BRACKET            	= 91;
  	var VK_BACK_SLASH               = 92;
  	var VK_CLOSE_BRACKET           	= 93;
  	var VK_NUMPAD0                 	= 96;
  	var VK_NUMPAD1                 	= 97;
  	var VK_NUMPAD2                 	= 98;
  	var VK_NUMPAD3                 	= 99;
  	var VK_NUMPAD4                 	= 100;
  	var VK_NUMPAD5                 	= 101;
  	var VK_NUMPAD6                 	= 102;
  	var VK_NUMPAD7                 	= 103;
  	var VK_NUMPAD8                 	= 104;
  	var VK_NUMPAD9                 	= 105;
  	var VK_MULTIPLY                	= 106;
  	var VK_ADD                     	= 107;
  	var VK_SEPARATER               	= 108;
  	var VK_SUBTRACT                	= 109;
  	var VK_DECIMAL                 	= 110;
  	var VK_DIVIDE                  	= 111;
  	var VK_F1                      	= 112;
  	var VK_F2                      	= 113;
  	var VK_F3                      	= 114;
  	var VK_F4                      	= 115;
  	var VK_F5                      	= 116;
  	var VK_F6                      	= 117;
  	var VK_F7                      	= 118;
  	var VK_F8                      	= 119;
  	var VK_F9                      	= 120;
  	var VK_F10                     	= 121;
  	var VK_F11                     	= 122;
  	var VK_F12                     	= 123;
  	var VK_DELETE                  	= 127;
  	var VK_NUM_LOCK                	= 144;
  	var VK_SCROLL_LOCK             	= 145;
  	var VK_PRINTSCREEN             	= 154;
  	var VK_INSERT                  	= 155;
  	var VK_HELP                    	= 156;
  	var VK_META                    	= 157;
  	var VK_BACK_QUOTE              	= 192;
  	var VK_QUOTE                   	= 222;
  	var VK_RED						= 403;
  	var VK_GREEN					= 404;
  	var VK_YELLOW					= 405;
  	var VK_BLUE						= 406;
  	var VK_GREY						= 407;
  	var VK_BROWN					= 408;
  	var VK_POWER					= 409;
  	var VK_DIMMER					= 410;
  	var VK_WINK						= 411;
  	var VK_REWIND				  = 412;
  	var VK_STOP           = 413;
  	var VK_EJECT_TOGGLE   = 414;
  	var VK_PLAY						= 415;
  	var VK_RECORD					= 416;
  	var VK_FAST_FWD				    = 417;
  	var VK_PLAY_SPEED_UP			= 418;
  	var VK_PLAY_SPEED_DOWN 			= 419;
  	var VK_PLAY_SPEED_RESET			= 420;
  	var VK_RECORD_SPEED_NEXT    = 421;
  	var VK_GO_TO_START       		= 422;
  	var VK_GO_TO_END        		= 423;
  	var VK_PREV        		      = 424;
  	var VK_NEXT        		      = 425;
  	var VK_RANDOM_TOGGLE        = 426;
  	var VK_CHANNEL_UP        		= 427;
  	var VK_CHANNEL_DOWN        	   	= 428;
  	var VK_STORE_FAVORITE_0        	= 429;
  	var VK_STORE_FAVORITE_1        	= 430;
  	var VK_STORE_FAVORITE_2        	= 431;
  	var VK_STORE_FAVORITE_3        	= 432;
  	var VK_RECALL_FAVORITE_0        = 433;
  	var VK_RECALL_FAVORITE_1        = 434;
  	var VK_RECALL_FAVORITE_2        = 435;
  	var VK_RECALL_FAVORITE_3        = 436;
  	var VK_CLEAR_FAVORITE_0         = 437;
  	var VK_CLEAR_FAVORITE_1        	= 438;
  	var VK_CLEAR_FAVORITE_2        	= 439;
  	var VK_CLEAR_FAVORITE_3        	= 440;
  	var VK_SCAN_CHANNELS_TOGGLE     = 441;
  	var VK_PINP_TOGGLE              = 442;
  	var VK_SPLIT_SCREEN_TOOGLE      = 443;
  	var VK_DISPLAY_SWAP        	    = 444;
  	var VK_SCREEN_MODE_NEXT        	= 445;
  	var VK_VIDEO_MODE_NEXT        	= 446;
  	var VK_VOLUME_UP        	      = 447;
  	var VK_VOLUME_DOWN        	    = 448;
  	var VK_MUTE                   	= 449;
  	var VK_SURROUND_MODE_NEXT       = 450;
  	var VK_BALANCE_RIGHT            = 451;
  	var VK_BALANCE_LEFT             = 452;
  	var VK_FADDER_FRONT             = 453;
  	var VK_FADDER_REAR             	= 454;
  	var VK_BASS_BOOST_UP            = 455;
  	var VK_BASS_BOOST_DOWN          = 456;
  	var VK_INFO                   	= 195;
  	var VK_GUIDE                   	= 458;
  	var VK_TELETEXT                 = 459;
  	var VK_SUBTITLE                 = 127;
  	var VK_BACK                     = 461;
  	var VK_MENU                     = 462;